Bug 127676 - Sidebar Properties deck 'Width' listbox for line or arrow flickers with default GDI rendering
Summary: Sidebar Properties deck 'Width' listbox for line or arrow flickers with defau...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
6.3.0.0.beta1+
Hardware: All All
: medium normal
Assignee: Xisco Faulí
URL:
Whiteboard: target:6.4.0 target:6.3.3
Keywords: bibisected, bisected, regression
Depends on:
Blocks: RenderContext Flickering-UI
  Show dependency treegraph
 
Reported: 2019-09-20 17:47 UTC by Arian
Modified: 2019-10-10 08:48 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arian 2019-09-20 17:47:19 UTC
When I go to change the width of a line or arrow in the properties tab, after I click and the tab opens with the different nile widths, there is a constan flickering that only is visible in that specific tab. So far thos doesn't happen with any of the other properties appart from the line width.
Comment 1 V Stuart Foote 2019-09-20 21:01:46 UTC
Confirmed on Windows 10 Ent 64-bit en-US with recent master
Version: 6.4.0.0.alpha0+ (x64)
Build ID: f0c832acb53326ccc9a8c1a47401fbc9e1081feb
CPU threads: 8; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@62-TDF, Branch:master, Time: 2019-09-11_05:46:53
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded

and on
Version: 6.3.1.2 (x64)
Build ID: b79626edf0065ac373bd1df5c28bd630b4424273
CPU threads: 8; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded

The Sidebar Properties deck in the Line content panel the drop list of line widths 'Width:' flickers continually as if being redrawn multiple cycles.

For both builds, with OpenGL rendering enabled, the line widths on the content panel's drop list are stable.
Comment 2 Xisco Faulí 2019-09-26 15:26:46 UTC
Also reproduced in

Version: 6.4.0.0.alpha0+
Build ID: 186d36a7036462ae641b35004b4ffba3eeeca46f
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 3 Xisco Faulí 2019-09-26 15:33:47 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=8ea1bdce62880448a42bcc4a283308bdccebb2cf

author	Mike Kaganski <mike.kaganski@collabora.com>	2018-11-22 15:20:16 +0300
committer	Mike Kaganski <mike.kaganski@collabora.com>	2018-11-23 08:37:34 +0100
commit	8ea1bdce62880448a42bcc4a283308bdccebb2cf (patch)
tree	e89467d05de015374553dde1b7615dd4a18fda44
parent	f23aa1a51cb1beea4ebe3a61ba0c9b3abd844fd9 (diff)
Get rid of ValueSet's internal VirtualDevice, draw to RenderContext

Bisected with: bibisect-linux64-6.3

Adding Cc: to Mike Kaganski
Comment 4 Xisco Faulí 2019-09-26 15:34:31 UTC
Hi Miklos,
this is another flickering issue recently introduced, I thought you might be interested ...
Comment 5 Xisco Faulí 2019-09-27 07:07:03 UTC
patch in gerrit: https://gerrit.libreoffice.org/#/c/79667/
Comment 6 Commit Notification 2019-09-27 17:16:51 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/25cc6dcef22e51c1bfa01e8fbed5046439bb1428

tdf#127676: avoid flickering in line width popup

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-10-10 08:48:40 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/4396bfa7c05b8578ed4ea54a6db85afc84e0a683

tdf#127676: avoid flickering in line width popup

It will be available in 6.3.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.